Subject: RE: Help with using Bash / GCC installed but command not found
From: "David Christensen" <[email-masked]>
To: <[email-masked]>
Cc: "'MattyTheG'" <[email-masked]>
Date: Fri, 26 Jun 2009 13:35:55 -0700
List-Id: <cygwin.cygwin.com>

MattyTheG wrote:
> Hello, I have been using Cygwin for about a year now, with no
> problems. Until one day I loaded it up and instead of the usual
> interface I had, it just said bash-3.2$, no username, or directory or
> anything, and none of the unix commands work.

My guess is that your Windows HOME environment variable was set,
changed, or unset, either by you or by some program you ran (including
setup.exe for some other application).  (Vista: Start -> Control Panel
-> System -> Advanced System Settings -> Environment Variables.)

Over the years, I've found that Cygwin Bash works best when Windows HOME
is not set.  This is confirmed by Command Prompt:

    C:\Users\dpchrist>set
    ...
    FP_NO_HOST_CHECK=NO
    HOMEDRIVE=C:
    ...

When I start Cygwin Bash Shell, Cygwin sets HOME:

    2009-06-26 13:28:13 dpchrist@p43400e ~
    $ set | grep HOME=
    HOME=/cygdrive/p/userdocs/dpchrist/Documents

Another possibility is that your home directory entry in Cygwin's
/etc/passwd got clobbered somehow.  Check that also.

HTH,

David

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple